Subject: bug#1973: Bug in simple.el (Emacs version 22.2.1)

From: "Stefan Monnier" <[email-masked]>
Date: Fri, 23 Jan 2009 02:53:29 -0500

> So Shell mode (in buffer *shell* for instance) is actually Comint mode
> masquerading as Shell mode

More specifically, shell-mode is a mode derived from comint-mode
(i.e. a submode).

> whereas buffer *Async Command Output* is
> plain Shell mode, not masquerading as anything?

I guess it's using shell-mode, but somehow fails to setup the process's
output filter?

>>> Note that Kevin Rodgers does not observe the same behaviour:
>>> http://article.gmane.org/gmane.emacs.bugs/24348
>> I'm not sure what he's referring to.
> His *Async Command Output* buffer does _not_ display ^M chars when he
> issues calls to shell-command with arguments ending "&".

I don't know how you reach that conclusion.  It's a possible
interpretation, but it's definitely not the only one.

        Stefan